package jp.sourceforge.freegantt.data.undo;

import javax.swing.undo.AbstractUndoableEdit;
import javax.swing.undo.CannotRedoException;
import javax.swing.undo.CannotUndoException;

import jp.sourceforge.freegantt.data.Project;

public class UpdateModifiedEdit extends AbstractUndoableEdit {
	private static final long serialVersionUID = -7704330688788830540L;
	
	Project project;
	boolean oldFlag;
	boolean newFlag;
	
	public UpdateModifiedEdit(Project project, boolean flag) {
		this.project = project;
		this.oldFlag = project.isModified();
		this.newFlag = flag;
	}

	@Override
	public void undo() throws CannotUndoException {
		System.out.println("Undo " + getClass().toString());
		super.undo();
		project.getController().setModified(oldFlag);
	}

	@Override
	public void redo() throws CannotRedoException {
		super.redo();
		project.getController().setModified(newFlag);
	}

	@Override
	public void die() {
		super.die();
		project = null;
	}

}
